Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component
Class ComponentState

    java.lang.Object
      tle.framework.component.ComponentState

    public class ComponentState

extends java.lang.Object

컴포넌트의 상태 정보를 저장한다.

Since:
  2.0
Author:
  최범균

Field Summary
`static java.lang.String` | `CLOSE_EVENT` 컴포넌트 종료 이벤트를 나타냄
`static java.lang.String` | `COMPLETE_EVENT` 컴포넌트 실행 완료 이벤트를 나타냄
`static java.lang.String` | `CREATE_EVENT` 컴포넌트 생성 이벤트를 나타냄
`static java.lang.String` | `ERROR_EVENT` 컴포넌트 에러 이벤트를 나타냄
`static java.lang.String` | `INIT_EVENT` 컴포넌트 초기화 이벤트를 나타냄
`static java.lang.String` | `RESUME_EVENT` 컴포넌트 재계 이벤트를 나타냄
`static java.lang.String` | `START_EVENT` 컴포넌트 시작 이벤트를 나타냄
`static java.lang.String` | `STOP_EVENT` 컴포넌트 정지 이벤트를 나타냄
`static java.lang.String` | `SUSPEND_EVENT` 컴포넌트 일시 정지 이벤트를 나타냄

Constructor Summary
`ComponentState()` NOT_CREATED 상태부터 시작하는 ComponentState를 생성한다.

Method Summary
`void` | `event(java.lang.String event)` 이벤트를 전달하여 상태를 전이한다.
`State` | `getCurrentState()`
`boolean` | `isClosed()`
`boolean` | `isClosing()`
`boolean` | `isCreated()`
`boolean` | `isErrorOccured()`
`boolean` | `isInited()`
`boolean` | `isIniting()`
`boolean` | `isNotCreated()`
`boolean` | `isResuming()`
`boolean` | `isRunning()`
`boolean` | `isStarting()`
`boolean` | `isStopped()`
`boolean` | `isStopping()`
`boolean` | `isSuspended()`
`boolean` | `isSuspending()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CREATE_EVENT

    public static final java.lang.String CREATE_EVENT

  컴포넌트 생성 이벤트를 나타냄

  See Also:
    Constant Field Values

### INIT_EVENT

    public static final java.lang.String INIT_EVENT

  컴포넌트 초기화 이벤트를 나타냄

  See Also:
    Constant Field Values

### START_EVENT

    public static final java.lang.String START_EVENT

  컴포넌트 시작 이벤트를 나타냄

  See Also:
    Constant Field Values

### STOP_EVENT

    public static final java.lang.String STOP_EVENT

  컴포넌트 정지 이벤트를 나타냄

  See Also:
    Constant Field Values

### CLOSE_EVENT

    public static final java.lang.String CLOSE_EVENT

  컴포넌트 종료 이벤트를 나타냄

  See Also:
    Constant Field Values

### SUSPEND_EVENT

    public static final java.lang.String SUSPEND_EVENT

  컴포넌트 일시 정지 이벤트를 나타냄

  See Also:
    Constant Field Values

### RESUME_EVENT

    public static final java.lang.String RESUME_EVENT

  컴포넌트 재계 이벤트를 나타냄

  See Also:
    Constant Field Values

### COMPLETE_EVENT

    public static final java.lang.String COMPLETE_EVENT

  컴포넌트 실행 완료 이벤트를 나타냄

  See Also:
    Constant Field Values

### ERROR_EVENT

    public static final java.lang.String ERROR_EVENT

  컴포넌트 에러 이벤트를 나타냄

  See Also:
    Constant Field Values

Constructor Detail

### ComponentState

    public ComponentState()

  NOT_CREATED 상태부터 시작하는 ComponentState를 생성한다.

Method Detail

### event

    public void event(java.lang.String event)
               throws java.lang.IllegalStateException

  이벤트를 전달하여 상태를 전이한다.

  Parameters:
    `event` -
  Throws:
    `java.lang.IllegalStateException`

### getCurrentState

    public State getCurrentState()

### isNotCreated

    public boolean isNotCreated()

### isCreated

    public boolean isCreated()

### isIniting

    public boolean isIniting()

### isInited

    public boolean isInited()

### isStarting

    public boolean isStarting()

### isRunning

    public boolean isRunning()

### isSuspending

    public boolean isSuspending()

### isSuspended

    public boolean isSuspended()

### isResuming

    public boolean isResuming()

### isStopping

    public boolean isStopping()

### isStopped

    public boolean isStopped()

### isClosing

    public boolean isClosing()

### isClosed

    public boolean isClosed()

### isErrorOccured

    public boolean isErrorOccured()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD